---
title: "int"
excerpt: "Convert a number to an integer."
layout: manual
---

**WARNING:** This function is deprecated.

Convert a number to an integer.

DEPRECATED use floor(), ceil(), or round().

```js
int(num: number) -> number
```

### Tags

* `convert`


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `num` | `number` |  | Yes |

### Returns

`number` 


### Examples

```js
n = int(ceil(5 / 2))
assertEqual(n, 3, 0.0001, "5/2 = 2.5, rounded up makes 3")
// Draw n cylinders.
startSketchOn('XZ')
  |> circle({ center = [0, 0], radius = 2 }, %)
  |> extrude(length = 5)
  |> patternTransform(instances = n, transform = fn(id) {
    return { translate = [4 * id, 0, 0] }
  })
```

![Rendered example of int 0](data:image/png;base64,[encoded data, 121876 characters])


